$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.143.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.143.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'EAC276D783A7980710D260EE7B1A60485DF2E99C58D86088CDCA0517E1778304'
  checksumType = 'sha256'
  checksum64 = 'EAC276D783A7980710D260EE7B1A60485DF2E99C58D86088CDCA0517E1778304'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.143-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
